Description

On the mac in global menu bar application name is displayed like "Chrome", "Finder". Only U++ application doesn't support such feature

(TheIDE).

The main goal of this task is to add support (on the CtrlLib level). So instead of about in help, I would like to have "TheIDE" -> "About" on

macOS.

Would be nice if it will be in 2020.2.

History

#1 - 09/21/2020 12:43 PM - Zbigniew Rebacz

- Tracker changed from Bug to Task

#2 - 09/21/2020 12:43 PM - Zbigniew Rebacz

- File Screenshot 2020-09-21 at 12.43.24.png added

#3 - 09/21/2020 03:46 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

This is hard call: One thing is MacOS integration, other thing is that we are happy to have TheIDE almost identical on all platforms.

I guess developed applications are free to name the first menu item as they wish, but I like that TheIDE is almost exactly the same as with Win10 and

Linux...

#4 - 09/25/2020 08:27 PM - Zbigniew Rebacz

The main problem with the current approch for macOS is that the active application is identify by it's toolbar. Please noticed that there is no clues which

application is currently active besides toolbar. Dock doesn't signalize this.

If you want to have consistent toolbars between platforms. I proposed to add this first entry on mac "TheIDE" (Bolded) with empty content. It' will look

strange, so optimally I would add there "About" option (as for almost all apps on mac) there and hide it in current "Help menu" (ifdef).

Would it be great to have global menu in GUI tutorial. Could you give me the rights to tutorials repo?

#5 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH
